Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1990583 - F35FailsToInstall: knot-resolver
Summary: F35FailsToInstall: knot-resolver
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: knot-resolver
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Ruzicka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-08-05 16:43 UTC by Miro Hrončok
Modified: 2021-08-09 21:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-09 21:26:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-05 16:43:43 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (knot-resolver) Fails To Install in Fedora 35:

can't install knot-resolver:
  - nothing provides libknot.so.11()(64bit) needed by knot-resolver-5.4.0-1.fc35.x86_64
  - nothing provides libzscanner.so.3()(64bit) needed by knot-resolver-5.4.0-1.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Petr Menšík 2021-08-06 13:43:13 UTC
Can you please rebuild also knot-resolver on rawhide?

All updates of knot in stable branches has them rebuilt together, but rawhide is not solved.
I think all required is just rpmdev-bumpspec -c "Rebuilt for knot 3.1 (#1990583)" *.spec, git commit && git push && fedpkg build.

It would help, if you used chain-build next time changing libraries in knot on rawhide.

update knot.spec && git push # no build yet!
cd ../knot-resolver && rpmdev-bumspec -c "Rebuilt for knot 3.1" knot-resolver.spec && git push
fedpkg chain-build knot # notice we still are in knot-resolver, which is built after it.

Alternatively, use fedpkg request-side-tag, use those side tags to build knot to the common target, use waitrepo, then knot-resolver. chain-build works with side-tag --target just fine! Works on rawhide and side-tags, does not work with build overrides.

New update can be created from side tag in bodhi webui, if you were requestor of it. The same way for rawhide and stable releases. Requesting build overrides are not necessary in this case. Allows similar handling of stable and rolling branches.

Comment 2 Jakub Ruzicka 2021-08-09 12:22:13 UTC
I've started knot-resolver-5.4.0-2 rebuild in koji.

Thank you for kindly explaining chain-build, I was only aware of build overrides (as you've noticed) but those don't work on rawhide (not to mention they're not very convenient to use).

I'll try using chain-build/request-side-tag as you've described next time when updating depending packages such as Knots.

Comment 3 Jakub Ruzicka 2021-08-09 12:49:03 UTC
The following comment has been added to the knot-resolver-5.4.0-2.fc35 update:

bodhi - 2021-08-09 12:17:45.511667 (karma: 0)
This update has been submitted for stable by bodhi

Comment 4 Miro Hrončok 2021-08-09 21:26:06 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.